Subject: Re: linux-next: Tree for May 25 (fs/io_uring)

From: Jens Axboe <[email-masked]>
Date: Mon, 25 May 2020 13:18:00 -0600

On 5/25/20 1:08 PM, Randy Dunlap wrote:
> On 5/25/20 12:02 PM, Jens Axboe wrote:
>> On 5/25/20 10:35 AM, Randy Dunlap wrote:
>>> On 5/25/20 5:49 AM, Stephen Rothwell wrote:
>>>> Hi all,
>>>>
>>>> Changes since 20200522:
>>>>
>>>
>>>
>>> on i386:
>>>
>>> ../fs/io_uring.c:500:26: error: field ‘wpq’ has incomplete type
>>>   struct wait_page_queue  wpq;
>>
>> Missing pagemap.h include, didn't bite me on x86-64. I'll fold in
>> a fix, thanks!
>>
> 
> I see it on x86_64. It must depend on some kernel config setting.

Most certainly. Updated branch has the include, and I updated my
for-next as well.

-- 
Jens Axboe